package org.apache.bcel.classfile;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import java.io.DataInput;
import java.io.DataOutputStream;
import java.io.IOException;
import org.apache.bcel.classfile.Attribute;
import org.apache.bcel.classfile.ConstantPool;
import org.apache.bcel.classfile.Utility;
import org.apache.bcel.classfile.Visitor;

public final class NestHost extends Attribute {
  private int hostClassIndex;
  
  NestHost(int nameIndex, int length, DataInput input, ConstantPool constantPool) throws IOException {
    this(nameIndex, length, 0, constantPool);
    this.hostClassIndex = input.readUnsignedShort();
  }
  
  public NestHost(int nameIndex, int length, int hostClassIndex, ConstantPool constantPool) {
    super((byte)26, nameIndex, length, constantPool);
    this.hostClassIndex = hostClassIndex;
  }
  
  public NestHost(org.apache.bcel.classfile.NestHost c) {
    this(c.getNameIndex(), c.getLength(), c.getHostClassIndex(), c.getConstantPool());
  }
  
  public void accept(Visitor v) {
    v.visitNestHost(this);
  }
  
  public Attribute copy(ConstantPool constantPool) {
    org.apache.bcel.classfile.NestHost c = (org.apache.bcel.classfile.NestHost)clone();
    c.setConstantPool(constantPool);
    return c;
  }
  
  public void dump(DataOutputStream file) throws IOException {
    super.dump(file);
    file.writeShort(this.hostClassIndex);
  }
  
  public int getHostClassIndex() {
    return this.hostClassIndex;
  }
  
  public void setHostClassIndex(int hostClassIndex) {
    this.hostClassIndex = hostClassIndex;
  }
  
  public String toString() {
    StringBuilder buf = new StringBuilder();
    buf.append("NestHost: ");
    String className = getConstantPool().getConstantString(this.hostClassIndex, (byte)7);
    buf.append(Utility.compactClassName(className, false));
    return buf.toString();
  }
}
